1. fergusd's Avatar
    Hi Guys,
    Can anybody tell me latest version of usable Wikipedia apk on BB10?
    Can you confirm latest usable Kindle apk is 7.8.1.5?
    Can you confirm latest usable Skype apk is 7.46.0.596?
    Can you confirm latest usable Netflix apk is 3.16.0.5294?
    Any recommendations after 48.0 for Firefox?
    Any recommendations after 9.58.2.00124 for Google Maps?
    Please can anybody tell me a usable apk for CNN? Ditto Uber?
    Very many thanks.
    Fergus
    PS people are saying Give up and get a Key2 LE. I just .. .. I just can't.

    Posted via CB10
    09-24-18 02:04 PM
  2. Bla1ze's Avatar
    Give up and get a KEYone, KEY2 or KEY2 LE.
    09-24-18 02:11 PM
  3. Chuck Finley69's Avatar
    Hi Guys,
    Can anybody tell me latest version of usable Wikipedia apk on BB10?
    Can you confirm latest usable Kindle apk is 7.8.1.5?
    Can you confirm latest usable Skype apk is 7.46.0.596?
    Can you confirm latest usable Netflix apk is 3.16.0.5294?
    Any recommendations after 48.0 for Firefox?
    Any recommendations after 9.58.2.00124 for Google Maps?
    Please can anybody tell me a usable apk for CNN? Ditto Uber?
    Very many thanks.
    Fergus
    PS people are saying Give up and get a Key2 LE. I just .. .. I just can't.

    Posted via CB10
    It’s ok. Everybody’s doing it. You want to be cool don’t you? You don’t want to be made fun of? Go ahead. Do it... get KEYone or Key2... it’s ok everybody’s doing it.....
    09-24-18 02:25 PM
  4. lolo9269's Avatar
    For skype yes the last working 7.46.0.596
    For firefox version 56 apk working
    But for android browser use kiwi browser base on chrome work well and you can have url on the bottom like the native brothers

    You have to for browser a new browser android on the forum in developpement by fishlevel : beol browser work fast but still in developpement (based in chrome)

    Love Peace and Share
    09-24-18 03:30 PM
  5. chetmanley's Avatar
    @fergusd

    Firefox: 57.04 works on my passport. Later versions install, but crash.
    Google Maps: 9.64.1 (964100124) works on my passport
    Netflix: 3.16.3 build 5359 works on my Passport

    Regarding the apps for websites, I would recommend just visiting the websites using Firefox with privacy extensions.

    Applications will have trackers embedded which can't be blocked on BB10. If you browse to the respective website however, you can block the trackers using firefox.
    Last edited by chetmanley; 09-24-18 at 07:15 PM.
    09-24-18 06:59 PM
  6. Leyra B10's Avatar
    @fergusd

    Firefox: 57.04 works on my passport. Later versions install, but crash.
    Google Maps: 9.64.1 (964100124) works on my passport
    Netflix: 3.16.3 build 5359 works on my Passport

    Regarding the apps for websites, I would recommend just visiting the websites using Firefox with privacy extensions.

    Applications will have trackers embedded which can't be blocked on BB10. If you browse to the respective website however, you can block the trackers using firefox.
    You can block them. Get the source of the page and filter out the tracking scripts usually at the top or bottom, then rewrite the page to the view.

    Check out Browser Plugin for ClipMan in BlackBerry World! You can find it at http://appworld.blackberry.com/webst...ntent/59997314
    Check out CodeBrowser in BlackBerry World! You can find it at http://appworld.blackberry.com/webst...ntent/33299888
    Check out DevTools Pro in BlackBerry World! You can find it at http://appworld.blackberry.com/webst...ntent/59945654

    Im sure someone has automated this process on a website some where..


    Posted via CB10
    09-24-18 07:34 PM
  7. TrumpetTiger's Avatar
    Hi Guys,
    Can anybody tell me latest version of usable Wikipedia apk on BB10?
    Can you confirm latest usable Kindle apk is 7.8.1.5?
    Can you confirm latest usable Skype apk is 7.46.0.596?
    Can you confirm latest usable Netflix apk is 3.16.0.5294?
    Any recommendations after 48.0 for Firefox?
    Any recommendations after 9.58.2.00124 for Google Maps?
    Please can anybody tell me a usable apk for CNN? Ditto Uber?
    Very many thanks.
    Fergus
    PS people are saying Give up and get a Key2 LE. I just .. .. I just can't.

    Posted via CB10
    Stay strong fergus....the opinions of some on this site notwithstanding, there are quite a few of us who are still BB10 fans. Don't switch if you don't want to. You'll have support. (Disclaimer to try and head off the Android crowd: by "support" I mean community-based support, not support from Blackberry Limited.)
    markmall likes this.
    09-25-18 12:41 PM
  8. YesAndNo's Avatar
    Stay strong fergus....the opinions of some on this site notwithstanding, there are quite a few of us who are still BB10 fans. Don't switch if you don't want to. You'll have support. (Disclaimer to try and head off the Android crowd: by "support" I mean community-based support, not support from Blackberry Limited.)
    BB10 Passport with me until all my Passport SEs die. I love BB10!
    09-25-18 07:18 PM
  9. Aju's Avatar
    @fergusd

    Firefox: 57.04 works on my passport. Later versions install, but crash.
    Google Maps: 9.64.1 (964100124) works on my passport
    Netflix: 3.16.3 build 5359 works on my Passport

    Regarding the apps for websites, I would recommend just visiting the websites using Firefox with privacy extensions.

    Applications will have trackers embedded which can't be blocked on BB10. If you browse to the respective website however, you can block the trackers using firefox.
    This version of google maps doesnt throw u notification about google play services?

    PassportSQW100-1/10.3.3.3216
    09-25-18 08:33 PM
  10. conite's Avatar
    This version of google maps doesnt throw u notification about google play services?

    PassportSQW100-1/10.3.3.3216
    You can patch if you wish to login, or ignore the warning if you don't. Otherwise 9.64.1 is the last for BB10.
    09-25-18 08:55 PM
  11. conite's Avatar
    Hi Guys,
    Can anybody tell me latest version of usable Wikipedia apk on BB10?
    Can you confirm latest usable Kindle apk is 7.8.1.5?
    Can you confirm latest usable Skype apk is 7.46.0.596?
    Can you confirm latest usable Netflix apk is 3.16.0.5294?
    Any recommendations after 48.0 for Firefox?
    Any recommendations after 9.58.2.00124 for Google Maps?
    Please can anybody tell me a usable apk for CNN? Ditto Uber?
    Very many thanks.
    Fergus
    PS people are saying Give up and get a Key2 LE. I just .. .. I just can't.

    Posted via CB10
    Maps 9.64.1
    Skype 7.46.0.596
    Netflix 3.16.3
    09-25-18 08:57 PM
  12. Aju's Avatar
    You can patch if you wish to login, or ignore the warning if you don't. Otherwise 9.64.1 is the last for BB10.
    Not interested in logging in....but if the pop up always comes up, aint a nice thing...if its only once during the initial use, then fine!

    PassportSQW100-1/10.3.3.3216
    09-26-18 02:57 AM
  13. Aju's Avatar
    Maps 9.64.1
    Skype 7.46.0.596
    Netflix 3.16.3
    Which architecture should I download from apkmirror?

    PassportSQW100-1/10.3.3.3216
    09-26-18 03:25 AM
  14. conite's Avatar
    Which architecture should I download from apkmirror?

    PassportSQW100-1/10.3.3.3216
    Arm (not arm64). For Passport, look for 480dpi. Android 4.3 or lower.
    09-26-18 07:47 AM
  15. chetmanley's Avatar
    Not interested in logging in....but if the pop up always comes up, aint a nice thing...if its only once during the initial use, then fine!

    PassportSQW100-1/10.3.3.3216
    As Conite mentioned, you can remove the popup by patching the app using Cobalt's Play services patcher.

    Run the APK through his patcher on your PC, then move the patched APK to your device and install. Shouldn't see the popup anymore.

    I patch all apps that call for google play services, even on my android devices. This way I got get the annoying Google Play Services Required popup. (I dont use google play services)

    Annoying thing is this needs to be done each time an update is released.

    Another way to patch the app is using the android app called Lucky Patcher.
    09-26-18 08:23 PM
  16. Aju's Avatar
    Arm (not arm64). For Passport, look for 480dpi. Android 4.3 or lower.
    Mind sharing the link? I tried finding and no luck...
    https://www.apkmirror.com/apk/google...-64-1-release/
    Cant find the details u said in this.

    PassportSQW100-1/10.3.3.3216
    10-03-18 04:33 PM

Similar Threads

  1. 6 GB of RAM really makes a difference!
    By Matt J in forum BlackBerry KEY2
    Replies: 101
    Last Post: 10-02-18, 01:34 AM
  2. Replies: 1
    Last Post: 09-23-18, 10:23 PM
  3. battery of BlackBerry keyone
    By WorldWideBenz in forum Ask a Question
    Replies: 1
    Last Post: 09-22-18, 07:18 PM
  4. seeing the whole text instead of just a line
    By Auburn1953 in forum Ask a Question
    Replies: 1
    Last Post: 09-21-18, 10:58 PM
LINK TO POST COPIED TO CLIPBOARD